Get memory context
Read the active memory context for a user. Personal memories default to the API key user; pass `user_id` to read another user's context.
Base URL
GET
Read the active memory context for a user. Personal memories default to the API key user; pass user_id to read another user's context.
bearerAuthheader
AuthorizationBearer <token>API key authentication. Use your API key as the bearer token.
user_id?stringUser whose personal memories are included. Defaults to the API key user. Ignored when include_personal is false.
Length
1 <= lengthinclude_personal?booleanSet to false to exclude personal memories from the context.
Default
truedirective_limit?integerMaximum number of directive memories to return.
Format
int32Range
1 <= value <= 25Default
20fact_limit?integerMaximum number of fact memories to return.
Format
int32Range
1 <= value <= 100Default
50Active memory context for the requested scopes
application/json- response
data*curl -X GET 'https://your-org.inspect.com/api/public/v1/memories/context'Example Response
{ "data": { "scopes": [ { "type": "personal", "id": "string" } ], "directives": [ { "id": "string", "title": "string", "description": "string", "content": "string", "memoryType": "fact", "updatedAt": "2019-08-24T14:15:22Z", "scope": { "type": "personal", "id": "string" } } ], "facts": [ { "id": "string", "title": "string", "description": "string", "content": "string", "memoryType": "fact", "updatedAt": "2019-08-24T14:15:22Z", "scope": { "type": "personal", "id": "string" } } ] }}